#include <stdio.h>
#include <stdlib.h>
#include "kadai2.h"

int main(void) {
    int i;
    int j;
    ULIST ul[5] = { {{0}},{{12,3}},{{1,4}},{{2,5}},{{11,6}} };
    ul[0].next = NULL;
    ul[1].next = &ul[3];
    ul[2].next = &ul[1];
    ul[3].next = &ul[0];
    ul[4].next = &ul[2];
    for (j = 0; j < 2; j++) {
        printf("種別: %d\n", j);
        for (i = 0; i < sizeof(ul) / sizeof(ul[0]); i++) {
            printf("%.2f円\n-----------\n", printuriagelistbyshubetsu(&ul[i], j));
        }
    }
    return 0;
}



